## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanFileUtility::cmdParams Struct Reference

Collaboration diagram for XalanFileUtility::cmdParams:

[legend]
List of all members.

## Public Member Functions

- cmdParams (MemoryManagerType &theManager)
- ~cmdParams ()
- const char * getHelpMessage ()
- StreamType & getHelpStream ()

## Public Attributes

- XalanDOMString base
- XalanDOMString output
- XalanDOMString gold
- XalanDOMString sub
- int source
- bool skip
- long iters

## Constructor & Destructor Documentation

XalanFileUtility::cmdParams::cmdParams | ( | MemoryManagerType & | theManager | ) |

XalanFileUtility::cmdParams::~cmdParams | ( |  | ) |

## Member Function Documentation

const char* XalanFileUtility::cmdParams::getHelpMessage | ( |  | ) |

StreamType& XalanFileUtility::cmdParams::getHelpStream | ( |  | ) |

## Member Data Documentation

XalanDOMString XalanFileUtility::cmdParams::base

XalanDOMString XalanFileUtility::cmdParams::gold

long XalanFileUtility::cmdParams::iters

XalanDOMString XalanFileUtility::cmdParams::output

bool XalanFileUtility::cmdParams::skip

int XalanFileUtility::cmdParams::source

XalanDOMString XalanFileUtility::cmdParams::sub

The documentation for this struct was generated from the following file:

- XalanFileUtility.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.